# DataExchange
TKXSBase
StepData

# StepData_Plex Class Reference

A Plex (for Complex) Entity is defined as a list of Simple
Members ("external mapping")
The types of these members must be in alphabetic order
.

`#include <StepData_Plex.hxx>`

Inheritance diagram for StepData_Plex:

[legend]

## Public Member Functions

Standard_EXPORT | StepData_Plex (const Handle(StepData_ECDescr)&descr)
| Creates a Plex (empty). The complete creation is made by the ECDescr itself, by calling Add .
Standard_EXPORT void | Add (const Handle(StepData_Simple)&member)
| Adds a member to <me> .
Standard_EXPORT Handle_StepData_ECDescr | ECDescr () const
| Returns the Description as for a Plex .
Standard_EXPORT Standard_Boolean | IsComplex () const
| Returns False .
Standard_EXPORT Standard_Boolean | Matches (const Standard_CString steptype) const
| Tells if a step type is matched by <me> For a Simple Entity : own type or super type For a Complex Entity : one of the members .
Standard_EXPORT Handle_StepData_Simple | As (const Standard_CString steptype) const
| Returns a Simple Entity which matches with a Type in <me> : For a Simple Entity : me if it matches, else a null handle For a Complex Entity : the member which matches, else null .
Standard_EXPORT Standard_Boolean | HasField (const Standard_CString name) const
| Tells if a Field brings a given name .
Standard_EXPORT const StepData_Field & | Field (const Standard_CString name) const
| Returns a Field from its name; read-only .
Standard_EXPORT StepData_Field & | CField (const Standard_CString name)
| Returns a Field from its name; read or write .
Standard_EXPORT Standard_Integer | NbMembers () const
| Returns the count of simple members .
Standard_EXPORT Handle_StepData_Simple | Member (const Standard_Integer num) const
| Returns a simple member from its rank .
Standard_EXPORT Handle_TColStd_HSequenceOfAsciiString | TypeList () const
| Returns the actual list of members types .
Standard_EXPORT void | Check (Handle(Interface_Check)&ach) const
| Fills a Check by using its Description .
Standard_EXPORT void | Shared (Interface_EntityIterator &list) const
| Fills an EntityIterator with entities shared by <me> .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TColStd_SequenceOfTransient | themembers

## Constructor & Destructor Documentation

Standard_EXPORT StepData_Plex::StepData_Plex | ( | const Handle(StepData_ECDescr)& | descr | ) |

## Member Function Documentation

Standard_EXPORT void StepData_Plex::Add | ( | const Handle(StepData_Simple)& | member | ) |

Standard_EXPORT Handle_StepData_Simple StepData_Plex::As | ( | const Standard_CString | steptype | ) | const`[virtual]`

| Implements StepData_Described.

Standard_EXPORT StepData_Field& StepData_Plex::CField | ( | const Standard_CString | name | ) | `[virtual]`

| Implements StepData_Described.

Standard_EXPORT void StepData_Plex::Check | ( | Handle(Interface_Check)& | ach | ) | const`[virtual]`

| Implements StepData_Described.

Standard_EXPORT Handle_StepData_ECDescr StepData_Plex::ECDescr | ( |  | ) | const

Standard_EXPORT const StepData_Field& StepData_Plex::Field | ( | const Standard_CString | name | ) | const`[virtual]`

| Implements StepData_Described.

Standard_EXPORT const StepData_Plex::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepData_Described.

Standard_EXPORT Standard_Boolean StepData_Plex::HasField | ( | const Standard_CString | name | ) | const`[virtual]`

| Implements StepData_Described.

Standard_EXPORT Standard_Boolean StepData_Plex::IsComplex | ( |  | ) | const`[virtual]`

| Implements StepData_Described.

Standard_EXPORT Standard_Boolean StepData_Plex::Matches | ( | const Standard_CString | steptype | ) | const`[virtual]`

| Implements StepData_Described.

Standard_EXPORT Handle_StepData_Simple StepData_Plex::Member | ( | const Standard_Integer | num | ) | const

Standard_EXPORT Standard_Integer StepData_Plex::NbMembers | ( |  | ) | const

Standard_EXPORT void StepData_Plex::Shared | ( | Interface_EntityIterator & | list | ) | const`[virtual]`

| Implements StepData_Described.

Standard_EXPORT Handle_TColStd_HSequenceOfAsciiString StepData_Plex::TypeList | ( |  | ) | const

## Field Documentation

TColStd_SequenceOfTransient StepData_Plex::themembers `[private]`

The documentation for this class was generated from the following file:

- StepData_Plex.hxx